# -*- coding: utf-8 -*-

# dwnlConfig.py
# This file is part of Qarte
#    
# Author : Vincent Vande Vyvre <vincent.vandevyvre@swing.be>
# Copyright: 2012-2013 Vincent Vande Vyvre
# Licence: GPL3
# Home page : https://launchpad.net/qarte
#
# Download config dialog boxs

import gettext

from PyQt4 import QtCore, QtGui

class ArtePlusDownloadingConfig(object):
    def setupUi(self, dial, obj):
        # Dialog for arte+7
        self.obj = obj
        dial.setObjectName("dial")
        dial.resize(650, 300)
        self.gridLayout_3 = QtGui.QGridLayout(dial)
        self.gridLayout_3.setContentsMargins(4, 2, 4, 4)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.title_lbl = QtGui.QLabel(dial)
        font = QtGui.QFont()
        font.setFamily("DejaVu Sans")
        font.setPointSize(12)
        font.setWeight(75)
        font.setBold(True)
        self.title_lbl.setFont(font)
        self.title_lbl.setAlignment(QtCore.Qt.AlignCenter)
        self.title_lbl.setObjectName("title_lbl")
        self.horizontalLayout.addWidget(self.title_lbl)
        spacerItem1 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.horizontalLayout_2 = QtGui.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.filename_lbl = QtGui.QLabel(dial)
        font = QtGui.QFont()
        font.setFamily("DejaVu Sans")
        font.setWeight(75)
        font.setBold(True)
        self.filename_lbl.setFont(font)
        self.filename_lbl.setObjectName("filename_lbl")
        self.horizontalLayout_2.addWidget(self.filename_lbl)
        spacerItem2 = QtGui.QSpacerItem(40, 17, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem2)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.horizontalLayout_3 = QtGui.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        spacerItem3 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem3)
        self.filename_led = QtGui.QLineEdit(dial)
        self.filename_led.setObjectName("filename_led")
        self.horizontalLayout_3.addWidget(self.filename_led)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.horizontalLayout_4 = QtGui.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        spacerItem4 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem4)
        self.info_name_lbl = QtGui.QLabel(dial)
        self.info_name_lbl.setText("")
        self.info_name_lbl.hide()
        self.info_name_lbl.setObjectName("info_name_lbl")
        self.horizontalLayout_4.addWidget(self.info_name_lbl)
        self.verticalLayout.addLayout(self.horizontalLayout_4)
        self.horizontalLayout_5 = QtGui.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.gridLayout = QtGui.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        spacerItem5 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem5, 0, 0, 1, 1)
        self.replace_space_chb = QtGui.QCheckBox(dial)
        self.replace_space_chb.setObjectName("replace_space_chb")
        self.gridLayout.addWidget(self.replace_space_chb, 0, 1, 1, 1)
        self.underscore_rdo = QtGui.QRadioButton(dial)
        self.underscore_rdo.setChecked(True)
        self.underscore_rdo.setEnabled(False)
        self.underscore_rdo.setObjectName("underscore_rdo")
        self.buttonGroup = QtGui.QButtonGroup(dial)
        self.buttonGroup.setObjectName("buttonGroup")
        self.buttonGroup.addButton(self.underscore_rdo)
        self.gridLayout.addWidget(self.underscore_rdo, 0, 2, 1, 1)
        spacerItem6 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem6, 1, 0, 1, 1)
        spacerItem7 = QtGui.QSpacerItem(118, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem7, 1, 1, 1, 1)
        self.hyphen_rdo = QtGui.QRadioButton(dial)
        self.hyphen_rdo.setEnabled(False)
        self.hyphen_rdo.setObjectName("hyphen_rdo")
        self.buttonGroup.addButton(self.hyphen_rdo)
        self.gridLayout.addWidget(self.hyphen_rdo, 1, 2, 1, 1)
        self.horizontalLayout_5.addLayout(self.gridLayout)
        spacerItem8 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem8)
        self.verticalLayout.addLayout(self.horizontalLayout_5)
        # TODO set the two quality available
        """
        self.line = QtGui.QFrame(dial)
        self.line.setFrameShape(QtGui.QFrame.HLine)
        self.line.setFrameShadow(QtGui.QFrame.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.horizontalLayout_6 = QtGui.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.quality_lbl = QtGui.QLabel(dial)
        font = QtGui.QFont()
        font.setFamily("DejaVu Sans")
        font.setWeight(75)
        font.setBold(True)
        self.quality_lbl.setFont(font)
        self.quality_lbl.setObjectName("quality_lbl")
        self.horizontalLayout_6.addWidget(self.quality_lbl)
        spacerItem9 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem9)
        self.verticalLayout.addLayout(self.horizontalLayout_6)
        self.horizontalLayout_7 = QtGui.QHBoxLayout()
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.gridLayout_2 = QtGui.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        spacerItem10 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem10, 0, 0, 1, 1)
        self.hd_rdo = QtGui.QRadioButton(dial)
        self.hd_rdo.setChecked(True)
        self.hd_rdo.setObjectName("hd_rdo")
        self.buttonGroup_2 = QtGui.QButtonGroup(dial)
        self.buttonGroup_2.setObjectName("buttonGroup_2")
        self.buttonGroup_2.addButton(self.hd_rdo)
        self.gridLayout_2.addWidget(self.hd_rdo, 0, 1, 1, 1)
        spacerItem11 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem11, 1, 0, 1, 1)
        self.sd_rdo = QtGui.QRadioButton(dial)
        self.sd_rdo.setObjectName("sd_rdo")
        self.buttonGroup_2.addButton(self.sd_rdo)
        self.gridLayout_2.addWidget(self.sd_rdo, 1, 1, 1, 1)
        spacerItem12 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem12, 2, 0, 1, 1)
        self.info_quality_lbl = QtGui.QLabel(dial)
        self.info_quality_lbl.setText("")
        self.info_quality_lbl.hide()
        self.info_quality_lbl.setObjectName("info_quality_lbl")
        self.gridLayout_2.addWidget(self.info_quality_lbl, 2, 1, 1, 1)
        self.horizontalLayout_7.addLayout(self.gridLayout_2)
        spacerItem13 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_7.addItem(spacerItem13)
        self.verticalLayout.addLayout(self.horizontalLayout_7)
        """
        self.horizontalLayout_8 = QtGui.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        spacerItem14 = QtGui.QSpacerItem(378, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem14)
        self.close_btn = QtGui.QPushButton(dial)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap("medias/close.png"), QtGui.QIcon.Normal, 
                                        QtGui.QIcon.Off)
        self.close_btn.setIcon(icon)
        self.close_btn.setObjectName("close_btn")
        self.horizontalLayout_8.addWidget(self.close_btn)
        self.verticalLayout.addLayout(self.horizontalLayout_8)
        self.gridLayout_3.addLayout(self.verticalLayout, 0, 0, 1, 1)

        self.retranslateUi(dial)
        self.filename_led.textChanged.connect(self.on_edit_filename)
        self.replace_space_chb.stateChanged.connect(self.on_replace_checked)
        self.underscore_rdo.toggled.connect(self.set_separator)
        self.close_btn.clicked.connect(self.close_dialog)
        QtCore.QMetaObject.connectSlotsByName(dial)
        self.dial = dial
        self.sep = " "

        try:
            self.filename_led.setText(self.obj[1])
        except Exception as e:
            self.filename_led.setText(self.obj[0])

    def on_replace_checked(self, state):
        self.underscore_rdo.setEnabled(state)
        self.hyphen_rdo.setEnabled(state) 

        if state:
            self.set_separator()

        else:
            self.filename_led.setText(self.obj[0])
            self.sep = " "

    def set_separator(self):
        sep = "" + ("_" if self.underscore_rdo.isChecked() else "-")
        self.filename_led.blockSignals(True)
        self.filename_led.setText(unicode(self.filename_led.text())
                                    .replace(self.sep, sep))
        self.sep = sep
        self.filename_led.blockSignals(False)

    def on_edit_filename(self, txt):
        self.replace_space_chb.blockSignals(True)
        self.replace_space_chb.setChecked(False)
        self.replace_space_chb.blockSignals(False)

    def close_dialog(self):
        self.obj[1] = unicode(self.filename_led.text())
        self.dial.accept()

    def retranslateUi(self, dial):
        dial.setWindowTitle(_("Downloading Parameters"))
        self.title_lbl.setText(_("Downloading configuration"))
        self.filename_lbl.setText(_("File name:"))
        self.replace_space_chb.setText(_("Replace space with:"))
        self.underscore_rdo.setText(_("Underscore"))
        self.hyphen_rdo.setText(_("Hyphen"))
        #self.quality_lbl.setText(_("Quality:"))
        #self.hd_rdo.setText(_("HD  Best quality "))
        #self.sd_rdo.setText(_("SD  Medium quality"))
        self.close_btn.setText(_("Close"))


class ArteLiveDownloadingConfig(object):
    def setupUi(self, dial, obj):
        # Dialog for arteLiveWeb
        self.obj = obj
        dial.setObjectName("dial")
        dial.resize(650, 300)
        self.gridLayout_3 = QtGui.QGridLayout(dial)
        self.gridLayout_3.setContentsMargins(4, 2, 4, 4)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.title_lbl = QtGui.QLabel(dial)
        font = QtGui.QFont()
        font.setFamily("DejaVu Sans")
        font.setPointSize(12)
        font.setWeight(75)
        font.setBold(True)
        self.title_lbl.setFont(font)
        self.title_lbl.setAlignment(QtCore.Qt.AlignCenter)
        self.title_lbl.setObjectName("title_lbl")
        self.horizontalLayout.addWidget(self.title_lbl)
        spacerItem1 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.horizontalLayout_2 = QtGui.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.filename_lbl = QtGui.QLabel(dial)
        font = QtGui.QFont()
        font.setFamily("DejaVu Sans")
        font.setWeight(75)
        font.setBold(True)
        self.filename_lbl.setFont(font)
        self.filename_lbl.setObjectName("filename_lbl")
        self.horizontalLayout_2.addWidget(self.filename_lbl)
        spacerItem2 = QtGui.QSpacerItem(40, 17, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem2)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.horizontalLayout_3 = QtGui.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        spacerItem3 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem3)
        self.filename_led = QtGui.QLineEdit(dial)
        self.filename_led.setObjectName("filename_led")
        self.horizontalLayout_3.addWidget(self.filename_led)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.horizontalLayout_4 = QtGui.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        spacerItem4 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem4)
        self.info_name_lbl = QtGui.QLabel(dial)
        self.info_name_lbl.setText("")
        self.info_name_lbl.hide()
        self.info_name_lbl.setObjectName("info_name_lbl")
        self.horizontalLayout_4.addWidget(self.info_name_lbl)
        self.verticalLayout.addLayout(self.horizontalLayout_4)
        self.horizontalLayout_5 = QtGui.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.gridLayout = QtGui.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        spacerItem5 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem5, 0, 0, 1, 1)
        self.replace_space_chb = QtGui.QCheckBox(dial)
        self.replace_space_chb.setObjectName("replace_space_chb")
        self.gridLayout.addWidget(self.replace_space_chb, 0, 1, 1, 1)
        self.underscore_rdo = QtGui.QRadioButton(dial)
        self.underscore_rdo.setChecked(True)
        self.underscore_rdo.setEnabled(False)
        self.underscore_rdo.setObjectName("underscore_rdo")
        self.buttonGroup = QtGui.QButtonGroup(dial)
        self.buttonGroup.setObjectName("buttonGroup")
        self.buttonGroup.addButton(self.underscore_rdo)
        self.gridLayout.addWidget(self.underscore_rdo, 0, 2, 1, 1)
        spacerItem6 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem6, 1, 0, 1, 1)
        spacerItem7 = QtGui.QSpacerItem(118, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem7, 1, 1, 1, 1)
        self.hyphen_rdo = QtGui.QRadioButton(dial)
        self.hyphen_rdo.setEnabled(False)
        self.hyphen_rdo.setObjectName("hyphen_rdo")
        self.buttonGroup.addButton(self.hyphen_rdo)
        self.gridLayout.addWidget(self.hyphen_rdo, 1, 2, 1, 1)
        self.horizontalLayout_5.addLayout(self.gridLayout)
        spacerItem8 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem8)
        self.verticalLayout.addLayout(self.horizontalLayout_5)
        self.line = QtGui.QFrame(dial)
        self.line.setFrameShape(QtGui.QFrame.HLine)
        self.line.setFrameShadow(QtGui.QFrame.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.horizontalLayout_6 = QtGui.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.quality_lbl = QtGui.QLabel(dial)
        font = QtGui.QFont()
        font.setFamily("DejaVu Sans")
        font.setWeight(75)
        font.setBold(True)
        self.quality_lbl.setFont(font)
        self.quality_lbl.setObjectName("quality_lbl")
        self.horizontalLayout_6.addWidget(self.quality_lbl)
        spacerItem9 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem9)
        self.verticalLayout.addLayout(self.horizontalLayout_6)
        self.horizontalLayout_7 = QtGui.QHBoxLayout()
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.gridLayout_2 = QtGui.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        spacerItem10 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem10, 0, 0, 1, 1)
        self.hd_rdo = QtGui.QRadioButton(dial)
        self.hd_rdo.setChecked(True)
        self.hd_rdo.setObjectName("hd_rdo")
        self.buttonGroup_2 = QtGui.QButtonGroup(dial)
        self.buttonGroup_2.setObjectName("buttonGroup_2")
        self.buttonGroup_2.addButton(self.hd_rdo)
        self.gridLayout_2.addWidget(self.hd_rdo, 0, 1, 1, 1)
        spacerItem11 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem11, 1, 0, 1, 1)
        self.sd_rdo = QtGui.QRadioButton(dial)
        self.sd_rdo.setObjectName("sd_rdo")
        self.buttonGroup_2.addButton(self.sd_rdo)
        self.gridLayout_2.addWidget(self.sd_rdo, 1, 1, 1, 1)
        spacerItem12 = QtGui.QSpacerItem(20, 20, QtGui.QSizePolicy.Fixed, 
                                        QtGui.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem12, 2, 0, 1, 1)
        self.info_quality_lbl = QtGui.QLabel(dial)
        self.info_quality_lbl.setText("")
        self.info_quality_lbl.hide()
        self.info_quality_lbl.setObjectName("info_quality_lbl")
        self.gridLayout_2.addWidget(self.info_quality_lbl, 2, 1, 1, 1)
        self.horizontalLayout_7.addLayout(self.gridLayout_2)
        spacerItem13 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_7.addItem(spacerItem13)
        self.verticalLayout.addLayout(self.horizontalLayout_7)
        self.horizontalLayout_8 = QtGui.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        spacerItem14 = QtGui.QSpacerItem(378, 20, QtGui.QSizePolicy.Expanding, 
                                        QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem14)
        self.close_btn = QtGui.QPushButton(dial)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap("medias/close.png"), QtGui.QIcon.Normal, 
                                        QtGui.QIcon.Off)
        self.close_btn.setIcon(icon)
        self.close_btn.setObjectName("close_btn")
        self.horizontalLayout_8.addWidget(self.close_btn)
        self.verticalLayout.addLayout(self.horizontalLayout_8)
        self.gridLayout_3.addLayout(self.verticalLayout, 0, 0, 1, 1)

        self.retranslateUi(dial)
        self.filename_led.textChanged.connect(self.on_edit_filename)
        self.replace_space_chb.stateChanged.connect(self.on_replace_checked)
        self.underscore_rdo.toggled.connect(self.set_separator)
        self.close_btn.clicked.connect(self.close_dialog)
        QtCore.QMetaObject.connectSlotsByName(dial)
        self.dial = dial
        self.sep = " "
        try:
            self.filename_led.setText(self.obj.outfile)
        except Exception as e:
            self.filename_led.setText(self.obj.title)
        if self.obj.quality is not None:
            self.hd_rdo.setChecked(self.obj.quality)

    def on_replace_checked(self, state):
        self.underscore_rdo.setEnabled(state)
        self.hyphen_rdo.setEnabled(state) 

        if state:
            self.set_separator()

        else:
            self.filename_led.setText(self.obj.title)
            self.sep = " "

    def set_separator(self):
        sep = "" + ("_" if self.underscore_rdo.isChecked() else "-")
        self.filename_led.blockSignals(True)
        self.filename_led.setText(unicode(self.filename_led.text())
                                    .replace(self.sep, sep))
        self.sep = sep
        self.filename_led.blockSignals(False)

    def on_edit_filename(self, txt):
        self.replace_space_chb.blockSignals(True)
        self.replace_space_chb.setChecked(False)
        self.replace_space_chb.blockSignals(False)

    def close_dialog(self):
        self.obj.outfile = unicode(self.filename_led.text())
        self.obj.quality = 0 + self.hd_rdo.isChecked()
        self.dial.accept()

    def retranslateUi(self, dial):
        dial.setWindowTitle(_("Downloading Parameters"))
        self.title_lbl.setText(_("Downloading configuration"))
        self.filename_lbl.setText(_("File name:"))
        self.replace_space_chb.setText(_("Replace space with:"))
        self.underscore_rdo.setText(_("Underscore"))
        self.hyphen_rdo.setText(_("Hyphen"))
        self.quality_lbl.setText(_("Quality:"))
        self.hd_rdo.setText(_("HD Best quality "))
        self.sd_rdo.setText(_("SD Medium quality"))
        self.close_btn.setText(_("Close"))


if __name__ == "__main__":
    import sys
    arg = ('Title', 'Filename')
    app = QtGui.QApplication(sys.argv)
    dial = QtGui.QDialog()
    ui = ArtePlusDownloadingConfig()
    ui.setupUi(dial, arg)
    dial.show()
    sys.exit(app.exec_())

